/* 
 * i-scream central monitoring system
 * http://www.i-scream.org.uk
 * Copyright (C) 2000-2002 i-scream
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

//---PACKAGE DECLARATION---
package uk.org.iscream.cms.util;

//---IMPORTS---

/**
 * This exception is thrown if XML cannot be parsed into
 * an XML packet. It is a checked exception, although this
 * could be changed later on.
 *
 * @author  $Author: tdb $
 * @version $Id: InvalidXMLException.java,v 1.6 2003/02/05 14:27:59 tdb Exp $
 */
public class InvalidXMLException extends Exception {

//---FINAL ATTRIBUTES---

//---STATIC METHODS---

//---CONSTRUCTORS---
    
    /**
     * Takes a string containing a message detailing
     * specifics about the exception.
     *
     * @param message the exception specifics
     */
    public InvalidXMLException(String message){
        super(message);
    }

//---PUBLIC METHODS---

//---PRIVATE METHODS---

//---ACCESSOR/MUTATOR METHODS---

//---ATTRIBUTES---

//---STATIC ATTRIBUTES---

}
